POST api/upi/refund
Request Information
URI Parameters
None.
Body Parameters
RefundRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| subMerchantId | string |
None. |
|
| merchantTranId | string |
None. |
|
| originalmerchantTranId | string |
None. |
|
| originalBankRRN | string |
None. |
|
| payeeVA | string |
None. |
|
| refundAmount | string |
None. |
|
| note | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"subMerchantId": "sample string 1",
"merchantTranId": "sample string 2",
"originalmerchantTranId": "sample string 3",
"originalBankRRN": "sample string 4",
"payeeVA": "sample string 5",
"refundAmount": "sample string 6",
"note": "sample string 7"
}
text/html
Sample:
{"subMerchantId":"sample string 1","merchantTranId":"sample string 2","originalmerchantTranId":"sample string 3","originalBankRRN":"sample string 4","payeeVA":"sample string 5","refundAmount":"sample string 6","note":"sample string 7"}
application/xml, text/xml
Sample:
<RefundRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Helper"> <merchantTranId>sample string 2</merchantTranId> <note>sample string 7</note> <originalBankRRN>sample string 4</originalBankRRN> <originalmerchantTranId>sample string 3</originalmerchantTranId> <payeeVA>sample string 5</payeeVA> <refundAmount>sample string 6</refundAmount> <subMerchantId>sample string 1</subMerchantId> </RefundRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/comma-separated-values
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/html, application/xml, text/xml, text/comma-separated-values
Sample:
Sample not available.